﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;
using System.Globalization;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            foreach (FirstDayOfWeek day in Enum.GetValues(typeof(FirstDayOfWeek)))
            {
                ultraCalendarInfo1.FirstDayOfWeek = day;

                foreach (CalendarWeekRule rule in Enum.GetValues(typeof(CalendarWeekRule)))
                {
                    ultraCalendarInfo1.WeekRule = rule;

                    int wk1 = ultraCalendarInfo1.GetWeekNumberForDate(new DateTime(2015, 1, 1));
                    int wk2 = ultraCalendarInfo1.GetWeekNumberForDate(new DateTime(2016, 1, 1));

                    if (wk1 != wk2)
                    {
                        StringBuilder weekText = new StringBuilder();
                        weekText.Append("FirstDayOfWeek: " + day.ToString() + "\n");
                        weekText.Append("    WeekRule: " + rule.ToString() + "\n");
                        weekText.Append("        1/1/2015 is week " + wk1.ToString() + "\n");
                        weekText.Append("        1/1/2016 is week " + wk2.ToString() + "\n\n");

                        ultraFormattedTextEditor1.Text += weekText.ToString();
                    }
                }
            }

        }
    }
}
